package com.displaynone.acss.components.acs;

import com.displaynone.acss.components.acs.code.CodeModel;
import com.displaynone.acss.components.acs.code.service.CodeService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Component;

import java.util.Optional;

@Component
@RequiredArgsConstructor
public class ACSComponent {
    private final CodeService codeService;

    public Optional<CodeModel> getCodeByValue(Long value) {
        return codeService.getCodeByValue(value);
    }

    public CodeModel getCodeByValueStrict(Long value) {
        return codeService.getCodeByValueStrict(value);
    }

    public boolean isValid(Long code) {
        return codeService.isValid(code);
    }
}
